Status: Closed Start date: 06 Feb 2018
Priority: Normal Due date:

Assignee: % Done: 100%
Category: Estimated time: 0.00 hour
Target version: Carbon Benefit Spent time: 75.50 hours
Resolution:

Description

Intro

How can the stored contents of a questionnaire be moved to a new version of the configuration? Or: how can editors see the 'old'
version while editing the 'new' version?

Decisions:

e The cases will be migrated manually and selectively by creating a new version of a questionnaire (=editing a published version).
There is no automatic migration of data.

¢ Only published questionnaires can be migrated to a new version
¢ All questionnaires within the 'release’ process keep the configuration that they have been created with.

¢ |f a public questionnaire is edited, and a new version of the configuration is available, this new version is used and the user is
informed.

e A warning message has to point the user to this configuration change.

¢ A documentation / help page has to be provided in which the changes from one version to the other are listed and
explained.

* Best case: this info is automatically generated from the new configuration.

¢ The notification has to point to this documentation.

* New feature: 'case history' (=display an old version of a questionnaire). This will need some work, as templates, views, etc. are
expecting only one version of the configuration now. Something like 'loose coupling' for views, forms, templates must be
introduced.

e This is required, so data can be migrated. 'Old' questionnaire data cannot be displayed with a 'new' configuration. Example:
a field is changed from text data to a list of checkboxes.

Subtasks:

Task # 1778: Indicators: new configuration version Closed
Task # 1779: Questionnaire history Closed
Task # 1780: Change database layout (Questionnaire to Configuration) Closed
History

#1 - 06 Feb 2018 13:50 - Sebastian Manger

- Target version set to Carbon Benefit

#2 - 06 Feb 2018 13:50 - Sebastian Manger

- Subject changed from Migration case data to Migrate case data

#3 - 27 Feb 2018 09:48 - Kurt Gerber

- Status changed from New to Accepted
#4 - 26 Apr 2018 10:03 - Kurt Gerber

- Status changed from Accepted to In Progress

#5 - 13 Dec 2018 10:24 - Kurt Gerber

- Status changed from In Progress to Closed
